Bug 1000950 - Issue with metadata repo generation - file dependency problem
Issue with metadata repo generation - file dependency problem
Status: NEW
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
2.0
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-26 03:59 EDT by Sebastian
Modified: 2015-10-09 04:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sebastian 2013-08-26 03:59:12 EDT
Description of problem:

It looks there is a bug in the metadata repo generation that casing package dependency issue on some external repositories

Version-Release number of selected component (if applicable):

spacewalk-*-2.0.1-1.el6

Steps to Reproduce:

Example:

# yum install php-pecl-redis.x86_64
Loaded plugins: fastestmirror, priorities, rhnplugin
This system is receiving updates from RHN Classic or Red Hat Satellite.
Loading mirror speeds from cached hostfile
1395 packages excluded due to repository priority protections
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package php-pecl-redis.x86_64 0:2.2.3-1.el6.remi will be installed
--> Processing Dependency: php(api) = 20100412-x86-64 for package: php-pecl-redis-2.2.3-1.el6.remi.x86_64
--> Processing Dependency: php(zend-abi) = 20100525-x86-64 for package: php-pecl-redis-2.2.3-1.el6.remi.x86_64
--> Processing Dependency: php-pecl-igbinary(x86-64) for package: php-pecl-redis-2.2.3-1.el6.remi.x86_64
--> Running transaction check
---> Package php-pecl-igbinary.x86_64 0:1.1.1-3.el6 will be installed
--> Processing Dependency: php(zend-abi) = 20090626 for package: php-pecl-igbinary-1.1.1-3.el6.x86_64
--> Processing Dependency: php(api) = 20090626 for package: php-pecl-igbinary-1.1.1-3.el6.x86_64
---> Package php-pecl-redis.x86_64 0:2.2.3-1.el6.remi will be installed
--> Processing Dependency: php(api) = 20100412-x86-64 for package: php-pecl-redis-2.2.3-1.el6.remi.x86_64
--> Processing Dependency: php(zend-abi) = 20100525-x86-64 for package: php-pecl-redis-2.2.3-1.el6.remi.x86_64
--> Finished Dependency Resolution
Error: Package: php-pecl-igbinary-1.1.1-3.el6.x86_64 (epel6-x86_64)
           Requires: php(zend-abi) = 20090626
           Installed: php-common-5.4.17-2.el6.remi.x86_64 (@remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.10-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.11-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.12-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.13-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.14-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.15-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.16-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.17-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.18-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.19-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
Error: Package: php-pecl-redis-2.2.3-1.el6.remi.x86_64 (remi-x86_64)
           Requires: php(zend-abi) = 20100525-x86-64
           Installed: php-common-5.4.17-2.el6.remi.x86_64 (@remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.10-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.11-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.12-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.13-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.14-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.15-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.16-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.17-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.18-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
           Available: php-common-5.4.19-1.el6.remi.x86_64 (remi-x86_64)
               php(zend-abi) = 20100525-x86-64
Error: Package: php-pecl-redis-2.2.3-1.el6.remi.x86_64 (remi-x86_64)
           Requires: php(api) = 20100412-x86-64
           Installed: php-common-5.4.17-2.el6.remi.x86_64 (@remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.10-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.11-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.12-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.13-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.14-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.15-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.16-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.17-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.18-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.19-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
Error: Package: php-pecl-igbinary-1.1.1-3.el6.x86_64 (epel6-x86_64)
           Requires: php(api) = 20090626
           Installed: php-common-5.4.17-2.el6.remi.x86_64 (@remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.10-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.11-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.12-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.13-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.14-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.15-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.16-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.17-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.18-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
           Available: php-common-5.4.19-1.el6.remi.x86_64 (remi-x86_64)
               php(api) = 20100412-x86-64
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Expected results:

It works fine when installing packages directly from repo by skipping Spacewalk
Comment 1 Remi Collet 2013-11-08 00:51:16 EST
Related with  bug #984992

Note You need to log in before you can comment on or make changes to this bug.